# tests for basic login
import json


def test_login_valid(client):
    request_dict = {
        "type": "user",
        "username": "admin",
        "password": "789789"
    }
    request_json = json.dumps(request_dict)
    response = client.post("/api/v1.0/auth/login", data=request_json, headers={"content-type": "application/json"})
    assert response.status_code == 200
    assert response.mimetype == "application/json"

    data = json.loads(str(response.get_data().decode("utf-8")))
    print(data)
